<?xml version="1.0" encoding="ISO-8859-1"?>
<?xslt-cwp-buffer buffer-content="true"?>
<?xslt-cwp-query param="-grammar=fmresultset"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
	xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
	exclude-result-prefixes="xsl fmrs fmxslt">
	
	<xsl:output method="text" encoding="ISO-8859-1" omit-xml-declaration="yes" indent="no" media-type="text/calendar"/>
	
<xsl:template match="/fmrs:fmresultset">

<xsl:variable name="header" select="fmxslt:set_header('Content-Type', 'text/calendar')"/>BEGIN:VCALENDAR
VERSION:2.0
METHOD:PUBLISH
PRODID:-//Apple Computer\, Inc//iCal 2.0//EN
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:Europe/Brussels
BEGIN:DAYLIGHT
DTSTART:20040328T030000
TZOFFSETTO:+0200
TZOFFSETFROM:+0100
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
DTSTART:20041031T010000
TZOFFSETTO:+0100
TZOFFSETFROM:+0200
TZNAME:CET
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:20050327T030000
TZOFFSETTO:+0200
TZOFFSETFROM:+0100
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
DTSTART:20051030T010000
TZOFFSETTO:+0100
TZOFFSETFROM:+0200
TZNAME:CET
END:STANDARD
END:VTIMEZONE
<xsl:for-each select="fmrs:resultset/fmrs:record">
<xsl:variable name="record" select="current()"/>
<xsl:choose><xsl:when test="$record/fmrs:field[@name = 'vcal_type_id']/fmrs:data[1] = '2'">BEGIN:VTODO
SEQUENCE:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'vcal_sequence']/fmrs:data[1]"/>
PRIORITY:<xsl:value-of select="$record/fmrs:field[@name = 'todo_priority_id']/fmrs:data[1]"/>
DTSTAMP:<xsl:value-of select="$record/fmrs:field[@name = 'vcal_modification_date_c']/fmrs:data[1]"/>
UID:<xsl:value-of select="$record/@record-id"/>
URL;VALUE=URI:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'todo_url']/fmrs:data[1]"/>
STATUS:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'todo_status']/fmrs:data[1]"/>
DTSTART;TZID=<xsl:value-of select="$record/fmrs:field[@name = 'vcal_time_zone']/fmrs:data[1]"/>:<xsl:value-of select="$record/fmrs:field[@name = 'vcal_creation_date_c']/fmrs:data[1]"/>
SUMMARY:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'todo_summary']/fmrs:data[1]"/>
DESCRIPTION:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'todo_description_c']/fmrs:data[1]"/><xsl:choose><xsl:when test="$record/fmrs:field[@name = 'todo_completed_date']/fmrs:data[1] != ''">
COMPLETED:<xsl:value-of select="$record/fmrs:field[@name = 'todo_completed_date_c']/fmrs:data[1]"/></xsl:when></xsl:choose>
DUE;VALUE=DATE:<xsl:value-of select="$record/fmrs:field[@name = 'todo_due_date_c']/fmrs:data[1]"/>
<xsl:choose><xsl:when test="$record/fmrs:field[@name = 'todo_alarm']/fmrs:data[1] = '1'">
BEGIN:VALARM
TRIGGER:-P1D
DESCRIPTION:Event Reminder
ACTION:DISPLAY
END:VALARM</xsl:when></xsl:choose>
END:VTODO
</xsl:when><xsl:otherwise>BEGIN:VEVENT
SEQUENCE:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'vcal_sequence']/fmrs:data[1]"/>
LOCATION:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'event_location']/fmrs:data[1]"/>
STATUS:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'event_status']/fmrs:data[1]"/>
DTSTART;TZID=<xsl:value-of select="$record/fmrs:field[@name = 'vcal_time_zone']/fmrs:data[1]"/>:<xsl:value-of select="$record/fmrs:field[@name = 'event_start_date_c']/fmrs:data[1]"/>
DTEND:<xsl:value-of select="$record/fmrs:field[@name = 'event_end_date_c']/fmrs:data[1]"/>
DTSTAMP:<xsl:value-of select="$record/fmrs:field[@name = 'vcal_modification_date_c']/fmrs:data[1]"/>
UID:<xsl:value-of select="$record/@record-id"/>
URL;VALUE=URI:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'event_url']/fmrs:data[1]"/>
SUMMARY:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'event_summary']/fmrs:data[1]"/>
DESCRIPTION:<xsl:value-of disable-output-escaping="yes" select="$record/fmrs:field[@name = 'event_description_c']/fmrs:data[1]"/>
<xsl:choose><xsl:when test="$record/fmrs:field[@name = 'event_alarm']/fmrs:data[1] = '1'">
BEGIN:VALARM
TRIGGER:-P1D
DESCRIPTION:Event Reminder
ACTION:DISPLAY
END:VALARM</xsl:when></xsl:choose>
END:VEVENT
</xsl:otherwise></xsl:choose>
</xsl:for-each>END:VCALENDAR</xsl:template>
</xsl:stylesheet>